/**************************************************************************
 * routines for getting and using button input
 *
 * written by Doug Lanford, opus@opusgames.com
 * for more info, go to www.opusgames.com
 *
 * This file is provided as freeware
 *************************************************************************/

#include "buttons.h"

// global values for the button values
// These get updated each frame (using Butons_Update), and should never be changed
// outside this module
u16 buttonsHeld = 0;		// what buttons are currently down
u16 buttonsDown = 0;		// what buttons went down this frame
u16 buttonsUp = 0;		// what buttons went up this frame

/******************************************************************
 * grab and process the current button input... this should be
 * called once each frame
 ******************************************************************/
void Buttons_Update (void)
{
	// NOTE: bit=0 means button is down in REG_BUTTONS register!

	// calculate which buttons went down since the last update
	buttonsDown = ~buttonsHeld & ~REG_BUTTONS;

	// calculate which buttons went up since the last update
	buttonsUp = buttonsHeld & REG_BUTTONS;

	// store the current values (inverted for bit = 1 means button held)
	buttonsHeld = ~REG_BUTTONS;
}


