/************************************************************************
 * collision routine headers
 *
 * written by Doug Lanford, opus@opusgames.com
 * for more info, go to www.opusgames.com
 *
 * This file is provided as freeware
 ***********************************************************************/

#ifndef _COLLIDE_H
#define	_COLLIDE_H

#include "types.h"
#include "math.h"


/*****************************************************
 * collide a point with all the ai ships (hardcoded
 * for current ship size, and just does a rectangular
 * check... nothing fancy!)
 *
 * IN: 		point to collide against
 *
 * RETURNS:	non-zero if a collision occured
 ****************************************************/
u32 Collide_PointToShip (s24f8_vect2D *pPos);


/*****************************************************
 * collide a point with all the powerups (hardcoded
 * for current ship size, and just does a rectangular
 * check... nothing fancy!)
 *
 * IN: 		point to collide against
 *
 * RETURNS:	non-zero if a collision occured
 ****************************************************/
extern u32 Collide_PointToPowerup (s24f8_vect2D *pPos);


#endif

