/****************************************************************
 * GBA hardware controller buttons
 *
 * written by Doug Lanford, opus@opusgames.com
 * for more info, go to www.opusgames.com
 *
 * This file is provided as freeware
 ***************************************************************/

#ifndef _GBA_BUTTONS_H
#define _GBA_BUTTONS_H

#include "types.h"

// buttons hardware register
#define pREG_BUTTONS			(volatile u32 *)0x04000130
#define REG_BUTTONS				*pREG_BUTTONS

// button bit definitions (NOTE: bit = 0 means button is down!)
#define BUTTON_A 		0x0001
#define BUTTON_B 		0x0002
#define BUTTON_SELECT	0x0004
#define BUTTON_START 	0x0008
#define BUTTON_RIGHT 	0x0010
#define BUTTON_LEFT 	0x0020
#define BUTTON_UP 		0x0040
#define BUTTON_DOWN 	0x0080
#define BUTTON_R		0x0100
#define BUTTON_L 		0x0200

#endif

