/******************************************************************
 * vblank handler
 *
 * written by Doug Lanford, opus@opusgames.com
 * for more info, go to www.opusgames.com
 *
 * This file is provided as freeware
 *****************************************************************/

#include "gba_interrupt.h"
#include "dma.h"
#include "bkg.h"
#include "sprite.h"
#include "game.h"

extern s16 screenX, screenY;

/*****************************************************************
 * vblank routine
 ****************************************************************/
void Interrupt_VBlank (void)
{
	if (loadOAMflag)
	{	// time to load sprite OAM data to VRAM
		DMA_Copy(&spriteOAMtable[loadOAMflag-1], VRAM_OAM_TABLE, NUM_OAM_SPRITES<<1);

		loadOAMflag = 0;
	}

	// set tile map screen coords
	REG_BKG_0_SCROLL_X = screenX;
	REG_BKG_0_SCROLL_Y = screenY;

//	REG_BKG_1_SCROLL_X = screenX;
//	REG_BKG_1_SCROLL_Y = screenY;

	// increment the vblank counter
	frameTimeAccum++;

	// tell the hardware we have processed this interrupt
	REG_INTERRUPT_PROCESSED = INTERRUPT_VBLANK;
}


